{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "type": "node",
            "request": "launch",
            "name": "Crawler",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "program": "${workspaceFolder}/index.js",
            "outFiles": [
                "${workspaceFolder}/**/*.js"
            ]
        },
        {
            "type": "node",
            "request": "launch",
            "name": "ChangeUserId",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "args": ["--userId","e0811669-c7eb-4e5e-a699-e8334d5c5b01"],
            "program": "${workspaceFolder}/changeUserId.js",
            "outFiles": [
                "${workspaceFolder}/**/*.js"
            ]
        },
        {
            "type": "node",
            "request": "launch",
            "name": "postgres_business_import",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "program": "${workspaceFolder}/build/crawler/postgres_business_import.js",
            "outFiles": [
                "${workspaceFolder}/**/*.js"
            ]
        },
        {
            "type": "node",
            "request": "launch",
            "name": "generateTypes",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "program": "${workspaceFolder}/generateTypes.js",
            "outFiles": [
                "${workspaceFolder}/**/*.js"
            ],
            "args": [
                "--sourcefile","schema.ts",
                "--outfile", "model.ts",
              ],
        },
    ]
}